import request from '@/utils/request'

// 查询专利有效导入记录列表
export function listDPatentEffectiveInfoPreImp(query) {
  return request({
    url: '/dimp/dPatentEffectiveInfoPreImp/list',
    method: 'get',
    params: query
  })
}


// export function importTemplate() {
//   return request({
//     url: '/dimp/dPatentEffectiveInfoPreImp/importTemplate',
//     method: 'post'
//   })
// }

// 查询专利有效导入记录详细
export function getDPatentEffectiveInfoPreImp(id) {
  return request({
    url: '/dimp/dPatentEffectiveInfoPreImp/' + id,
    method: 'get'
  })
}

// 新增专利有效导入记录
export function addDPatentEffectiveInfoPreImp(data) {
  return request({
    url: '/dimp/dPatentEffectiveInfoPreImp',
    method: 'post',
    data: data
  })
}

// 修改专利有效导入记录
export function updateDPatentEffectiveInfoPreImp(data) {
  return request({
    url: '/dimp/dPatentEffectiveInfoPreImp',
    method: 'put',
    data: data
  })
}

// 删除专利有效导入记录
export function delDPatentEffectiveInfoPreImp(id) {
  return request({
    url: '/dimp/dPatentEffectiveInfoPreImp/' + id,
    method: 'delete'
  })
}
